import roslaunch

launch = roslaunch.scriptapi.ROSLaunch()
launch.start()

# rosrun joy joy_node _autorepeat_rate:=20
launch.launch(roslaunch.core.Node('joy', 'joy_node',
                            args='_autorepeat_rate:=20'))
# rosrun teleop_twist_joy teleop_node cmd_vel:=/turtle1/cmd_vel _enable_turbo_button:=1
launch.launch(roslaunch.core.Node('teleop_twist_joy', 'teleop_node',
                            remap_args=[('cmd_vel','/robot1/diff_drive_controller/cmd_vel')],
                            args='_enable_turbo_button:=1'))

try:
  launch.spin()
finally:
  # After Ctrl+C, stop all nodes from running
  launch.stop()
