#!/bin/bash

function tmux_add_window() {
echo $1
tmux new-window \; \
    send-keys "docker exec -it sim bash src/t_all.sh $2" C-m \;
}

echo "launch gazebo"
tmux new-session -d \; \
    send-keys "bash run_docker.sh im" C-m \;

sleep 1

tmux_add_window "spawn a human" "t2"
tmux_add_window "spawn a human2" "t2a"
tmux_add_window "setup components" "t3m"
tmux_add_window "run HRI engines" "t4m"
tmux_add_window "run SA" "t5"
tmux_add_window "operate human to walk" "t5a"

tmux a
